function PARA = getParaCorModule( hMainFig )
%
% Get the parameter that will be ADJUSTED (corrected by comparison to samples)
% We need to know if a calibration has been performed on this parameter to
% apply the correction on the _CAL variable rather than on the raw varaible
%
% Input
% hMainFig ........ Handle to the main GUI : TSGQC
%
% Output
% PARA ............ Cell array
%                   PARA{1} contains the characters (SSP, SSJT, SSTP)
%                   PARA{2} contains either the characters (SSPS, SSJT, SSTP)
%                           or (SSPS_CAL, SSJT_CAL, SSTP_CAL) if they exist
% 
% $Id$

  % Get the tsg structure
  % ---------------------
  tsg = getappdata(hMainFig, 'tsg_data');

  % Build the Cell array containing the parameters
  % Test if _CAL variable exist
  % ---------------------------
  if ~isempty( tsg.([tsg.plot.parameter{1} '_CAL']) )
    PARA = {tsg.plot.parameter{1}, [tsg.plot.parameter{1} '_CAL']};
  else
    PARA = {tsg.plot.parameter{1}, tsg.plot.parameter{1}};
  end

end
